Bug 833289 - RFE: Add the ability to have publican Sets
RFE: Add the ability to have publican Sets
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 03:15 EDT by Lee Newson
Modified: 2014-10-26 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-06-19 03:15:10 EDT
From misty's email:

The ability to generate <set>s, which hold multiple books. This would allow us to publish an entire suite of books at once. Each book would be injected from its own CSP map

http://www.docbook.org/tdg/en/html/set.html
Comment 1 Eric Johnson 2012-10-23 11:24:55 EDT
Would the set CSP simply be a giant CSP with a complete CSP for each of the books in the set or would it be such that it was made up of pointers to the CSP for the individual books?

I'd like it to be pointers to book level CSPs.
Comment 2 Lee Newson 2012-10-24 02:13:34 EDT
Currently I've not looked into this one greatly. However the goal was to be able to have one Spec that referenced other Specs, so yes it would be pointers.

The implementation we had a quick discussion about was to not actually use the actual Publican sets and do something like: 

TITLE = Complete Documentation Suite

....

CS: Installation Guide [6895]

...

Chapter: Some Chapter [CS8874:5]


Where the "CS: Installation Guide [6895]" would point to the entire content specification and pull it in upon building. The "Chapter: Some Chapter [CS8874:5]" would allow you to reference a specific level in a Content Spec, in this case the level would be in Content Spec 8874 and the chapter itself would be tagged with "[ET5]". eg

Chapter: Some Chapter [ET5]

The 5 itself would be any number or human readable target string. Again however this was just some basic discussion and hasn't been thought out properly.
Comment 3 Eric Johnson 2012-10-24 10:07:22 EDT
Cool. Fintan bolton is actually working on a feature for Publican 3 that works with something called libraries that are similar to what you are describing.

It allows an IA to create a collection of books that are not bound by being in a specific set element as is currently done.
Comment 4 Misty Stanley-Jones 2013-05-30 19:34:07 EDT
Fintan, that field is generally for the person who will be writing docs for the feature. :) You might have meant to add yourself to the CC? Unless you are volunteering!

Note You need to log in before you can comment on or make changes to this bug.